html,
body {
    height: 100%;
    font-family: "Raleway", sans-serif;
}

.footer {
    display: block;
}

.gitlab-corner-wrapper {
    overflow: hidden;
    width: 100px;
    height: 100px;
    position: absolute;
    top: 0;
    right: 0;
}

.gitlab-corner {
    position: absolute;
    top: -16px;
    right: -50px;
    transform: rotate(45deg);
    background: #333;
    border: 44px solid #333;
    border-bottom: none;
    border-top: #333 solid 16px;
}

.gitlab-corner svg {
    width: 45px;
    height: 45px;
    margin-bottom: -4px;
}

.cls-1 {
    fill: #fc6d26;
}

.cls-2 {
    fill: #e24329;
}

.cls-3 {
    fill: #fca326;
}

.gitlab-corner:hover .cls-1 {
    animation: cycle 0.6s;
}

.gitlab-corner:hover .cls-2 {
    animation: cycleMid 0.6s;
}

.gitlab-corner:hover .cls-3 {
    animation: cycleEnd 0.6s;
}

@keyframes cycle {
    100%,
    15%,
    60% {
        fill: #fc6d26;
    }
    30%,
    75% {
        fill: #e24329;
    }
    45%,
    90% {
        fill: #fca326;
    }
}

@keyframes cycleMid {
    100%,
    15%,
    60% {
        fill: #e24329;
    }
    30%,
    75% {
        fill: #fca326;
    }
    45%,
    90% {
        fill: #fc6d26;
    }
}

@keyframes cycleEnd {
    100%,
    15%,
    60% {
        fill: #fca326;
    }
    30%,
    75% {
        fill: #fc6d26;
    }
    45%,
    90% {
        fill: #e24329;
    }
}

@media (max-width: 500px) {
    .gitlab-corner:hover .cls-1,
    .gitlab-corner:hover .cls-2,
    .gitlab-corner:hover .cls-3 {
        animation: none;
    }

    .gitlab-corner .cls-1 {
        animation: cycle 0.6s;
    }

    .gitlab-corner .cls-2 {
        animation: cycleMid 0.6s;
    }

    .gitlab-corner .cls-3 {
        animation: cycleEnd 0.6s;
    }
}
